
/*
 Theme Name:   Inteco Child
 Theme URI:    http://demo.goodlayers.com/inteco
 Description:  Goodlayers Inteco Child Theme
 Author:       Goodlayers
 Author URI:   http://goodlayers.com
 Template:     inteco
 Version:      1.0.12
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Tags:         light, dark, right-sidebar, responsive-layout
 Text Domain:  inteco-child
*/

/* Import fixes */
.gdlr-core-block-item-title-wrap.gdlr-core-left-align .gdlr-core-separator {
	display: inline-block;
}

.gdlr-core-pbf-background-wrap {
	z-index: auto;
}

.gdlr-core-pbf-wrapper-content {
	position: relative;
}

.gdlr-core-social-network-item .gdlr-core-social-network-icon:first-child {
	margin-left: 0;
}

.gdlr-core-social-network-item .gdlr-core-social-network-icon {
	margin-right: 0;
}

/* Portfolio element */
#lvremodel-portfolio .gdlr-core-portfolio-thumbnail.gdlr-core-style-title .gdlr-core-image-overlay-content {
	display: none;
}

/* Logos Gallery element */
.lvremodel-gallery-logos .slides {
	display: flex;
	align-items: center;
}

/* Gravity Forms */
.gform_required_legend {
	display: none;
}

.gform_wrapper .gsection {
	margin-top: 20px;
}

.gform_wrapper .gsection_title {
	font-size: 25px;
	margin-bottom: 5px;
}

.gform_wrapper .gfield.gsection .gsection_description {
	padding-top: 3px;
}

.inteco-body .gform_wrapper input[type="text"], .inteco-body .gform_wrapper input[type="number"], .inteco-body .gform_wrapper input[type="tel"], .inteco-body .gform_wrapper input[type="email"], .inteco-body .gform_wrapper textarea {
	background-color: #fff;
}

.inteco-body .gform_wrapper select {
	border-color: #e0e0e0;
	border-width: 1px 1px 2px 1px;
}

.gform_wrapper .gfield_html hr {
	border-color: #ddd;
}

.gform_wrapper .gfield .ginput_container_date .datepicker {
	width: 100%;
}

.gform_wrapper .gform_button_select_files {
	padding: 5px 10px;
	border: 1px solid #a0a0a0;
	cursor: pointer;
}

.inteco-body .gform_wrapper.gravity-theme .gform_footer {
	align-items: center;
	margin-top: 20px;
}

.gform_wrapper.gravity-theme .gform_footer .gform_button {
	margin-bottom: 0;
}

.gform_wrapper .gform_ajax_spinner {
	width: 28px;
	height: 28px;
	margin-left: 10px;
}

/* Header */
.inteco-body .lvremodel-header-button {
	color: #cec8bc;
	font-size: 18px;
	font-weight: 600;
	white-space: nowrap;
	background: #535151;
	padding: 5px 10px;
	border-radius: 4px;
	display: block;
	text-align: center;
}

.inteco-body .lvremodel-header-button-mb {
	margin-bottom: 0;
}

.inteco-body .lvremodel-header-button:hover {
	color: #fff;
}

/* - Desktop */
.inteco-header-container-inner {
	display: flex;
	justify-content: space-between;
	margin: 0 auto;
	max-width: 1600px;
}

.lvremodel-header-left {
	align-self: center;
	display: flex;
}

.lvremodel-header-center {
	padding: 45px 5px 0;
}

.lvremodel-header-right {
	display: grid;
	grid-template-columns: auto auto;
	grid-template-rows: auto auto;
	gap: 10px;
	align-items: center;
}

.inteco-header-right-social {
	align-self: start;
	display: grid;
	float: none;
	grid-auto-flow: column;
	grid-gap: 10px;
	grid-row: 1/-1;
	margin-top: 0;
}

.inteco-header-right-social a {
	align-items: center;
	background-color: #535151;
	color: #cec8bc;
	display: flex;
	height: 24px;
	justify-content: center;
	margin-left: 0;
	width: 24px;
}

.inteco-header-right-social a i:before {
	color: #cec8bc;
	display: block;
	font-size: 14px;
}

.inteco-navigation {
	align-self: end;
}

.inteco-fixed-navigation .lvremodel-header-center {
	padding-top: 25px;
}

@media only screen and (max-width: 1400px) {
	.inteco-header-right-social {
		display: none;
	}
	
	.lvremodel-header-right {
		grid-auto-flow: column;
	}
}

.inteco-header-wrap .inteco-header-container {
	padding: 20px 0;
}

/* - Mobile */
.inteco-mobile-header-container {
	display: flex;
	justify-content: space-between;
	align-items: center;
}

.inteco-mobile-header .inteco-logo-inner {
	margin-right: 0;
}

.inteco-mobile-menu-right {
	position: unset;
	margin-top: 0;
}

.inteco-mobile-menu {
	margin-top: 0;
	margin-left: 10px;
}

/* Portfolio single */
body.single-portfolio .inteco-page-title-wrap {
	background-image: url("https://cdn-jgolj.nitrocdn.com/foHpYNCAlWfcWNhjudAcNilVelONKBBd/assets/images/optimized/rev-7140e75/www.lvremodel.com/wp-content/themes/inteco-child/images/header/header-single-portfolio-category-whole-home.jpg");
}

body.single-portfolio .inteco-page-title-wrap.nitro-lazy {
	background-image: none !important;
}

body.single-portfolio.lvremodel-single-portfolio-category-bathroom .inteco-page-title-wrap {
	background-image: url("https://cdn-jgolj.nitrocdn.com/foHpYNCAlWfcWNhjudAcNilVelONKBBd/assets/images/optimized/rev-7140e75/www.lvremodel.com/wp-content/themes/inteco-child/images/header/header-single-portfolio-category-bathroom.jpg");
}

body.single-portfolio.lvremodel-single-portfolio-category-bathroom .inteco-page-title-wrap.nitro-lazy {
	background-image: none !important;
}

body.single-portfolio.lvremodel-single-portfolio-category-kitchen .inteco-page-title-wrap {
	background-image: url("https://cdn-jgolj.nitrocdn.com/foHpYNCAlWfcWNhjudAcNilVelONKBBd/assets/images/optimized/rev-7140e75/www.lvremodel.com/wp-content/themes/inteco-child/images/header/header-single-portfolio-category-kitchen.jpg");
}

body.single-portfolio.lvremodel-single-portfolio-category-kitchen .inteco-page-title-wrap.nitro-lazy {
	background-image: none !important;
}

body.single-portfolio.lvremodel-single-portfolio-category-whole-home .inteco-page-title-wrap {
	background-image: url("https://cdn-jgolj.nitrocdn.com/foHpYNCAlWfcWNhjudAcNilVelONKBBd/assets/images/optimized/rev-7140e75/www.lvremodel.com/wp-content/themes/inteco-child/images/header/header-single-portfolio-category-whole-home.jpg");
}

body.single-portfolio.lvremodel-single-portfolio-category-whole-home .inteco-page-title-wrap.nitro-lazy {
	background-image: none !important;
}

/* Home contact badges */
.badge-logos {
	max-width: 420px;
}

.badge-logos .gdlr-core-gallery-item-holder {
	display: flex;
}

@media only screen and (max-width: 340px) {
	.badge-logos .gdlr-core-gallery-item-holder {
		flex-direction: column;
	}
	
	.badge-logos .gdlr-core-gallery-column {
		max-width: 150px;
		margin-bottom: 10px;
	}
}

/* Contact page intro text */
@media only screen and (max-width: 767px) {
	.lvremodel-contact-intro .lvremodel-button-wrapper {
		display: block;
		text-align: center;
		margin-top: 15px;
	}
}

/* Footer recaptcha policy text */
.lvremodel-recaptcha-policy {
	font-size: 12px;
	text-align: center;
	padding: 0 10px;
}

/* Portfolio item with Fixed Metro style */
.gdlr-core-portfolio-item.gdlr-core-portfolio-item-style-fixed-metro .gdlr-core-portfolio-fixed-metro-item {
	padding: 5px;
}

.gdlr-core-portfolio-item.gdlr-core-portfolio-item-style-fixed-metro .gdlr-core-portfolio-fixed-metro-item.gdlr-core-column-60 {
	padding-bottom: 8px;
	margin-bottom: -3px;
}

.gdlr-core-portfolio-item.gdlr-core-portfolio-item-style-fixed-metro .gdlr-core-portfolio-fixed-metro-item.gdlr-core-column-60 .gdlr-core-portfolio-metro {
	width: 100%;
	height: 100%;
	position: relative;
}

/* Mobile menu phone number button */
.inteco-overlay-menu-content .menu .lvremodel-menu-item-phone-number {
	padding-bottom: 30px;
}

@media only screen and (max-width: 767px) {
	.inteco-overlay-menu-content .menu .lvremodel-menu-item-phone-number {
		padding-bottom: 23px;
	}
}

/* Page builder Accordion element */
.gdlr-core-accordion-item .gdlr-core-accordion-item-title {
	padding-left: 35px;
	position: relative;
}

.gdlr-core-accordion-item .gdlr-core-accordion-item-icon {
	left: 0;
	line-height: 15px;
	margin: 0;
	position: absolute;
	width: auto;
}

/* Home slider */

/* - Main */
.lvremodel-home-slider {
	height: 890px;
	width: 100%;
}

/* - Slides */
.lvremodel-hs-slides {
	height: 100%;
	width: 100%;
}

/* - Slide */
.lvremodel-hs-slide {
	height: 100%;
	left: 0;
	opacity: 0;
	position: absolute;
	top: 0;
	transition: all .6s ease;
	visibility: hidden;
	width: 100%;
}

.lvremodel-hs-slide.lvremodel-hs-active {
	opacity: 1;
	visibility: visible;
	z-index: 10;
}

/* - Slide background */
.lvremodel-hs-slide-background {
	align-items: center;
	display: flex;
	height: 100%;
	justify-content: center;
	left: 0;
	overflow: hidden;
	position: absolute;
	top: 0;
	width: 100%;
}

.lvremodel-hs-slide-background:before {
	content: "";
	position: absolute;
	background-color: rgba(0, 0, 0, .5);
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
}

.lvremodel-hs-slide-background picture {
	display: block;
	height: 100%;
	width: 100%;
}

.lvremodel-hs-slide-background img {
	display: block;
	height: 100%;
	object-fit: cover;
	width: 100%;
}

/* - Slide content */
.lvremodel-hs-slide-content {
	align-items: center;
	color: white;
	display: flex;
	flex-direction: column;
	font-family: Georgia, "Times New Roman", Times, serif;
	height: 100%;
	justify-content: center;
	line-height: 1.3;
	padding: 20px;
	position: relative;
	text-align: center;
	width: 100%;
}

/* - Row */
.lvremodel-hs-row-title {
	margin-top: 25px;
}

.lvremodel-hs-row-button {
	margin-top: 40px;
}

/* - Animate */
.lvremodel-hs-animate {
	opacity: 0;
	transition: all 1s cubic-bezier(0, 0, 1, 1);
}

.lvremodel-hs-animate.lvremodel-hs-animate-right {
	transform: translateX(100px);
}

.lvremodel-hs-row-title.lvremodel-hs-animate {
	transition-delay: 100ms;
}

.lvremodel-hs-row-button.lvremodel-hs-animate {
	transition-delay: 200ms;
}

.lvremodel-hs-active .lvremodel-hs-animate {
	opacity: 1;
	transform: translateX(0);
	transition-timing-function: cubic-bezier(.25, 1, .5, 1);
}

/* - Title */
.lvremodel-hs-title {
	text-shadow: rgba(0, 0, 0, .79) 1px 1px 20px;
}

.lvremodel-home-slider .lvremodel-hs-title {
	color: white;
	font-family: "Arcamajora bold";
	font-size: 64px;
	font-weight: normal;
	line-height: 1;
	margin-bottom: 0;
}

/* - Button */
a.lvremodel-hs-button {
	color: white;
	display: inline-block;
	box-shadow: 0px 10px 20px 0px rgba(0, 0, 0, .15);
	padding-top: 17px;
}

.gdlr-core-body .gdlr-core-button-bordered-transparent {
	border: 1px solid white;
	border-radius: 0;
	background-color: transparent;
	font-size: 24px;
	padding: 10px 15px;
}

/* - Nav */
.lvremodel-hs-nav {
	bottom: 40px;
	display: flex;
	gap: 8px;
	left: 50%;
	list-style-type: none;
	margin: 0;
	padding: 0;
	position: absolute;
	transform: translateX(-50%);
	z-index: 10;
}

.lvremodel-hs-nav li {
	border-radius: 50%;
	box-shadow: 0 0 0 2px rgba(255, 255, 255, 0);
	cursor: pointer;
	height: 15px;
	transition: all .3s ease;
	width: 15px;
}

.lvremodel-hs-nav li.lvremodel-hs-active {
	box-shadow: 0 0 0 2px rgba(255, 255, 255, 1);
}

.lvremodel-hs-nav li::after {
	background-color: rgba(255, 255, 255, .3);
	border-radius: 50%;
	content: "";
	display: block;
	height: 100%;
	transition: all .3s ease;
	width: 100%;
}

.lvremodel-hs-nav li.lvremodel-hs-active::after {
	background-color: rgba(255, 255, 255, 1);
	transform: scale(.4);
}

/* - Responsive */
@media (max-width: 1339px) {
	/* - Main */
	.lvremodel-home-slider {
		height: 0;
		/*padding-bottom: calc( 100% / ( 1340 / 890 ) );*/
		
		/*padding-bottom: calc( 100% / 1.5 );*/
		padding-bottom: 75%;
	}
}

@media (max-width: 1023px) {
	/* - Main */
	.lvremodel-home-slider {
		/*padding-bottom: calc( 100% / ( 1024 / 680 ) );*/
		
		/*padding-bottom: calc( 100% / 1.5 );*/
		padding-bottom: 85%;
	}
	
	/* - Logo */
	.lvremodel-home-slider .lvremodel-hs-logo {
		max-width: 300px;
	}
}

@media (max-width: 777px) {
	/* - Main */
	.lvremodel-home-slider {
		/*padding-bottom: calc( 100% / ( 778 / 517 ) );*/
		
		/*padding-bottom: calc( 100% / 1.5 );*/
		padding-bottom: 130%;
	}
	
	/* - Logo */
	.lvremodel-home-slider .lvremodel-hs-logo {
		max-width: 250px;
	}
}

@media (max-width: 479px) {
	/* - Main */
	.lvremodel-home-slider {
		/*padding-bottom: calc( 100% / ( 480 / 510 ) );*/
		
		/*padding-bottom: calc( 100% / 0.94 );*/
		padding-bottom: 150%;
	}
	
	/* - Logo */
	.lvremodel-home-slider .lvremodel-hs-logo {
		max-width: 220px;
	}
	
	/* - Title */
	.lvremodel-home-slider .lvremodel-hs-title {
		font-size: 32px !important;
		line-height: 1.2;
	}
}

@media (max-width: 379px) {
	/* - Main */
	.lvremodel-home-slider {}
	
	/* - Slide content */
	.lvremodel-hs-slide-content {
		padding-bottom: 80px;
	}
}

/* Top bar */
.lvr-top-bar {
	background: white;
	color: black;
	font-family: Arial, sans-serif;
	font-size: 18px;
	font-weight: 800;
	letter-spacing: 1px;
	line-height: 2em;
	padding: 10px 10px 12px;
	text-align: center;
	text-transform: uppercase;
}

.lvr-top-bar .lvr-tb-button {
	background-color: black;
	border-radius: 3px;
	color: white;
	display: inline-block;
	margin: 1px 7px 0;
	padding: 0 10px;
}

.lvr-top-bar .lvr-tb-button:hover {
	color: white;
}

/* Override Elegant Font carousel arrows with Font Awesome */
.flex-direction-nav .arrow_carrot-left, .flex-direction-nav .arrow_carrot-right, .gdlr-core-flexslider-custom-nav .arrow_carrot-left, .gdlr-core-flexslider-custom-nav .arrow_carrot-right {
	font-family: "FontAwesome" !important;
	font-weight: normal !important;
	font-style: normal !important;
}

.flex-direction-nav .arrow_carrot-left::before, .gdlr-core-flexslider-custom-nav .arrow_carrot-left::before {
	font-family: "FontAwesome" !important;
	content: "" !important;
}

.flex-direction-nav .arrow_carrot-right::before, .gdlr-core-flexslider-custom-nav .arrow_carrot-right::before {
	font-family: "FontAwesome" !important;
	content: "" !important;
}
